Subject: Japanese calls
From: "Daisuke Murata (DIUM)" <[email-masked]>
To: Kesia Nicole Belleza <[email-masked]>
Cc: Pritish Nandi <[email-masked]>
Date: Fri, 17 Jun 2022 07:38:14 +0000

Thank you for your daily cooperation, Nicole-san.

I have gone through some of your phone calls, and here are some points that I have noticed that you could work on to improve.
Please however be noted that the overall the call quality is good, and this is not some bad evaluation but suggestions for improvement.

  *   Not sure if it's due to the internet connection, but the first 3 - 4 seconds is somehow not quite audible, which makes customers wonder if they are really calling to EPOS. Please slow down a bit and clearly state that it's EPOS, and do not forget to greet them with "thank you for calling us"-ish message.
  *   Be more proactive when you are listening to the customer, e.g., by repeating/confirming the pain point, giving them "I understand you" kind of attitude, and all. Let us give the customers the impression that we are the ones initiate and guide the talk.
  *   It's okay to take time when you tackle something you do not know, but it would be nice if you put the call on hold and tell the customer to wait.

Daisuke Murata
Technical Support Specialist
EPOS Japan
Mobile: 080-5105-4566